
QGIS Application - Bug report #3445

merge shapefiles (fTools) crashes qgis

2011-01-27 08:13 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 13505

Description

Merging a folder of shp (generated by split, fTools) crashes qgis with:

Jan 27 16:45:05 fox kernel: [26357.459559] qgis.binr19657: segfault at 24 ip 00007f980c9d2f02 sp 00007f97c47285b0 error 4 in

libQtGui.so.4.6.3[7f980c6e4000+a8c000]

Not much form the console:

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Warning: QPixmap: It is not safe to use pixmaps outside the GUI thread

Segmentation fault

History

#1 - 2011-01-27 08:53 AM - Alexander Bruy

Cannot confirm with commit:8087f640 (SVN r15080) on Slackware Linux

#2 - 2011-01-27 10:41 AM - Giovanni Manghi

I can, see #3077

#3 - 2011-01-27 11:49 AM - Alexander Bruy

In this case all .prj files presented (split tool create correct .prj for each file).

#4 - 2011-03-04 09:21 AM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Open to Closed

See #3077
